Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Class KUNDE

    java.lang.Object
      KUNDE

Direct Known Subclasses:
  KUNDEKURZ, KUNDEKURZODERWENIG, KUNDEWENIG, KUNDEZUFALL

    abstract class KUNDE

extends java.lang.Object

Verwaltet einen Kunden.

Version:
  1.0
Author:
  Albert Wiedemann

Field Summary
`protected int` | `artikelmenge`
`protected KREIS` | `darstellung`
`protected int` | `groesse`

Constructor Summary
`KUNDE(int artikel)` Konstruktor des Kunden.

Method Summary
`(package private) abstract void` | `Anstellen(KASSE[] kassen)` Entscheidet, an welche Schlange sich der Kunde anstellt.
`(package private) int` | `ArtikelHolen()` Gibt die artikelanzahl des Kunden
`(package private) void` | `Entfernen()` Entfernt die Figur aus der Anzeige
`(package private) void` | `PositionSetzen(int x, int y)` Setzt die Position des Kunden.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### artikelmenge

    protected int artikelmenge

### darstellung

    protected KREIS darstellung

### groesse

    protected int groesse

Constructor Detail

### KUNDE

    KUNDE(int artikel)

  Konstruktor des Kunden. Setzt eine zufällige Farbe und die Größe gemäß der Artikelanzahl

  Parameters:
    `artikel` - Anzahl der Artikel im Warenkorb

Method Detail

### Anstellen

    abstract void Anstellen(KASSE[] kassen)

  Entscheidet, an welche Schlange sich der Kunde anstellt. Hier ist die Strategie: noch nicht implementiert pre: es gibt mindestens eine offene Kasse

  Parameters:
    `kassen` - Feld der im Markt vorhandenen Kassen

### ArtikelHolen

    int ArtikelHolen()

  Gibt die artikelanzahl des Kunden

  Returns:
    Artikelanzahl

### Entfernen

    void Entfernen()

  Entfernt die Figur aus der Anzeige

### PositionSetzen

    void PositionSetzen(int x,
                        int y)

  Setzt die Position des Kunden.

  Parameters:
    `x` - x-Position des Mittelpunkts
    `y` - y-Position des Mittelpunkts

Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD